petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscSFCreateEmbeddedLeafSF

removes edges from all but the selected leaves, does not remap indices

### Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFCreateEmbeddedLeafSF(PetscSF sf,PetscInt nselected,const PetscInt *selected,PetscSF *newsf)

Collective

### Input Arguments

| sf | - original star forest
| nselected | - number of selected leaves on this process
| selected | - indices of the selected leaves on this process

### Output Arguments

newsf -new star forest

### See Also

PetscSFCreateEmbeddedSF(), PetscSFSetGraph(), PetscSFGetGraph()

### Level

advanced

### Location

src/vec/is/sf/interface/sf.c

### Implementations

PetscSFCreateEmbeddedLeafSF_Basic in src/vec/is/sf/impls/basic/sfbasic.c
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages